commit 935f0b4d6983f77c4f35e6d492f9f2c2d1ed57f9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Oct 17 18:41:02 2022 -0700

    libpciaccess 0.17
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d193fa690415333420b435edb5782789a6f3ea57
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Tue Aug 23 19:27:27 2022 +0200

    hurd: Fix pci_device_hurd_map_legacy
    
    It was not passing a proper region number to pci_device_hurd_map_range,
    and that would not make sense anyway since the rom is not a region for
    instance, and the video memory, interrupt vector etc. aren't a region or
    the rom.
    
    So this uses pci_device_hurd_map_range for the rom, and
    pci_system_x86_map_dev_mem for non-rom. Unfortunately pci-arbiter
    currently cannot get the rom_base from libpciaccess, so we can only
    guess that we are trying to map a rom.

commit 361356b08003f5e3c606e16eeb6a17fe02ff2726
Author: Moritz Fischer <moritzf@google.com>
Date:   Mon Mar 8 12:02:33 2021 -0800

    Add pci_device_disable() function
    
    This implements a pci_device_disable() function, currently only for
    the linux_sysfs() backend.
    
    This mirrors the implementation for pci_device_enable()
    
    Signed-off-by: Moritz Fischer <moritzf@google.com>

commit a8abf913ad6b60492ef7b6ae512c4f879604a6a7
Author: zhanghongtao <zhanghongtao22@huawei.com>
Date:   Mon Aug 1 16:20:28 2022 +0800

    Delete redundant symbols ';'
    
    Signed-off-by: zhanghongtao <zhanghongtao22@huawei.com>

commit ab475c645ff9fc40e18af739eb4b81a5eb7f783c
Author: zhanghongtao <zhanghongtao22@huawei.com>
Date:   Mon Aug 1 16:13:40 2022 +0800

    Add header protection macro in linux_devmem.h
    
    Signed-off-by: zhanghongtao <zhanghongtao22@huawei.com>

commit b8de959615449fdf5b58ef08d881a77d397e86e2
Author: zhanghongtao <zhanghongtao22@huawei.com>
Date:   Mon Aug 1 15:53:57 2022 +0800

    pci_sys set NULL after free
    
    Signed-off-by: zhanghongtao <zhanghongtao22@huawei.com>

commit f93c0dae5a837404a48ea7f3609c6c5c30691a7b
Author: zhanghongtao <zhanghongtao22@huawei.com>
Date:   Mon Aug 1 15:28:14 2022 +0800

    Add parentheses to the macro definition
    
    Signed-off-by: zhanghongtao <zhanghongtao22@huawei.com>

commit 1fa5d4bdfcc6fea44f9abf353d25f3a5d013f5d7
Author: Satadru Pramanik <satadru@umich.edu>
Date:   Tue Jun 21 20:44:30 2022 +0000

    Add support for building on macOS w/o X11, using endian code from "portable_endian.h"...

commit 22a93f8b9b4a79eefbdd0b2c412526f6141ac7a8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Apr 6 11:46:45 2022 -0700

    configure.ac: Use pkg-config to find zlib dependency info
    
    Matches what we already do in meson.build
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0ae62706c34e4abc581d4c42ce9807e2898fac1d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Apr 6 16:30:51 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 831b467b2e3876c4e0c307d1e3eae2746ce805a7
Author: Chester Gillon <chester.gillon@metronet.co.uk>
Date:   Sun Sep 5 13:37:56 2021 +0100

    Obtain correct value of is_64 and is_prefetchable PCI device fields
    
    Correct setting of the is_64 and is_prefetchable pci_device fields in
    pci_device_linux_sysfs_probe().
    The pci_device struct defines is_64 and is_prefetchable as single bits,
    but the previous code was attempting to store the result of a bit-masked
    field in a single bit which always resulted in is_64 and is_prefetchable
    being zero regardless of the actual capabilities of the PCI device.
    
    Fixes: #15
    
    Signed-off-by: Chester Gillon <chester.gillon@metronet.co.uk>

commit 28d6dd72e5d6fa907dbccd310cc516e7012a60bd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 2 16:00:56 2022 -0700

    gitlab CI: add a basic build test for both autotools and meson
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 465aecdce47040a211fddc29186a4b1aa2ad5648
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 2 15:27:10 2022 -0700

    meson: install man page in mandir/man1/, not mandir/1/
    
    But don't install it by default, since neither meson nor autotools
    installs the scanpci program by default
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5cf85c28ad5f0811d53e5d70eac384dfe8e86cd6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 2 14:54:06 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9ad16d4da14905abfac50e41105dd1ceba877b07
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 2 14:44:13 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 21aa2bf6edda711cc4a883e89fd4d3c337c76d6b
Author: Joan Lledó  <jlledom@member.fsf.org>
Date:   Sat Mar 12 19:28:04 2022 +0100

    Hurd: Fix initialization order
    
    This allows non-root programs to to rely on /servers/bus/pci
    
    Message-Id: <20220312182804.9318-2-jlledom@mailfence.com>
    
    Reviewed-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit 4ef1660667425c0f171949aacae9d07b10a40d7f
Author: Damien Zammit <damien@zamaudio.com>
Date:   Tue Feb 15 06:44:23 2022 +0000

    hurd: Don't necessarily look up _SERVERS_BUS_PCI
    
    This allows the fallback mechanism in the hurd create method to be
    used in the map range method by reusing the mach port that
    corresponds to the root of the pci filesystem.
    
    Message-Id: <20220215064411.68671-1-damien@zamaudio.com>
    
    Reviewed-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit 740d2f29700af38b01ca68e3e834db164cc1b789
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Sun Jan 9 01:09:04 2022 +0100

    hurd: Restore initialization order
    
    3e0d1cde0187 ("hurd: Implement device memory mapping") was making
    root-running processes insist on using the pci device, and never try the
    fs-provided translator. This reverts back to trying the pci device
    first, but completely, and then revert to the fs-provided translator.

commit 3e0d1cde01872d605c267c61094e44315a3e7467
Author: Joan Lledó  <jlledom@member.fsf.org>
Date:   Wed Jan 5 13:08:01 2022 +0100

    hurd: Implement device memory mapping
    
    * src/hurd_pci.c:
            * Implement device memory mapping functions
                    * pci_device_hurd_map_range
                    * pci_device_hurd_unmap_range
                    * pci_device_hurd_map_legacy
                    * pci_device_hurd_unmap_legacy
    * src/x86_pci.h:
            * Remove unused declarations
                    * pci_device_x86_map_range()
                    * pci_device_x86_unmap_range()
                    * pci_device_x86_map_legacy()
                    * pci_device_x86_unmap_legacy()
    * src/x86_pci.c:
            * Fix port leaks
            * Make mapping function static again
            * map_dev_mem(): use device_map() support for offsets
    Message-Id: <20220105120802.14008-2-jlledom@mailfence.com>
    
    Reviewed-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit 9c01fdd7c02d8b9b5003e659ebca0b3643bd47c4
Author: Damien Zammit <damien@zamaudio.com>
Date:   Wed Apr 7 18:29:13 2021 +1000

    x86: Sort devices by B/D/F due to recursive scan

commit 50e7de7a81be35bb4e5799cb5562d18683c05ade
Author: Damien Zammit <damien@zamaudio.com>
Date:   Sun Mar 7 10:32:33 2021 +1100

    hurd: device_open(pci), /servers/bus/pci fallback
    
    Reviewed-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit b4bde8fe4e2872be8d0c527f5c9e155603f5d01f
Author: Petr Ovtchenkov <ptr@void-ptr.info>
Date:   Wed Dec 2 10:52:28 2020 +0300

    missed library installation in meson
    
    Signed-off-by: Petr Ovtchenkov <ptr@void-ptr.info>
    Reviewed-by: Dylan Baker <dylan@pnwbakers.com>

commit f51e2f1e96db2acd426ac3f6bb066f314a7eee46
Author: Dylan Baker <dylan@pnwbakers.com>
Date:   Sun Oct 25 11:14:56 2020 -0700

    autoconf: Add meson files to dist tarball
    
    Reviewed-by: Eric Anholt <eric@anholt.net>

commit 89fcd717a60e7a6440b56ff7c82b5eeb80b92a2f
Author: Dylan Baker <dylan@pnwbakers.com>
Date:   Wed Sep 19 16:15:41 2018 -0700

    Add a meson build system
    
    I believe this is correct and complete, but I could have missed
    something on non-linux OSes.
    
    Reviewed-by: Eric Anholt <eric@anholt.net>

commit 1ebcfe918a0da46a5b7ab44fc3ec0e6c65f98043
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Thu Sep 10 00:20:33 2020 +0200

    hurd: Fix map_dev_mem from non-zero address
    
    device_map needs to create a big-enough object so it can then be mapped.
    
    Signed-off-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit b82b779247b2adb164afed85a7e06cf3ca0d8ade
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Thu Sep 10 00:19:41 2020 +0200

    hurd: Fix letting map_dev_mem map anywhere
    
    Signed-off-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit 790ef9888a23fc257a66e742baf3b162b8c1f7c5
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Thu Sep 10 00:18:12 2020 +0200

    hurd: Add missing round up size in map_dev_mem
    
    Signed-off-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit 3e5ae795a265b8843c09cba310a5582c909f97a4
Author: Damien Zammit <damien@zamaudio.com>
Date:   Sat Aug 22 22:31:11 2020 +1000

    x86: Remove probe during create, other backends don't do this

commit 9effa77676207d547dc869ecb8c342869e14ef70
Author: Damien Zammit <damien@zamaudio.com>
Date:   Fri May 8 10:22:34 2020 +1000

    x86: Remove mapping of regions during probe - otherwise remapping later fails

commit b37ffbd94b4a270e62b752bdced882ce12b7610c
Author: Damien Zammit <damien@zamaudio.com>
Date:   Fri May 8 10:19:23 2020 +1000

    x86: Use gnumach device instead of /dev/mem on GNU systems && factorise ifdefs

commit 6c0eebdf3a72d372de9aa1226ce889bdf56440b0
Author: Damien Zammit <damien@zamaudio.com>
Date:   Sun Mar 15 12:42:51 2020 +1100

    hurd_pci: Use __pci_conf_ variants of pci_conf_

commit 1a7dab7b7c36b73d2a2d7e8b5c288c71542de11e
Author: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Date:   Fri Oct 25 19:03:32 2019 +0200

    pciaccess.pc.in: add Libs.Private
    
    Add Libs.Private in pciaccess.pc.in so applications that wants to link
    statically with pciaccess will know that they have to link with its
    dependencies such as -lz
    
    Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

commit 73901e7f7c03a5cdea317fd3d36feb978ef34a02
Author: Joan Lledó  <jlledom@member.fsf.org>
Date:   Sun Nov 24 11:17:30 2019 +0100

    Hurd: avoid using the deprecated RPC pci_get_ndevs()

commit fbd1f0fe79ba25b72635f8e36a6c33d7e0ca19f6
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jul 17 12:24:48 2019 -0400

    libpciaccess 0.16

commit f834c15afb49aa340c44374c6e00ef303b076ace
Author: Damien Zammit <damien@zamaudio.com>
Date:   Sun May 19 20:33:21 2019 +1000

    x86: Use MAP_SHARED for memory/rom region mmap && fix mode

commit 1d71669e577f5f2eb02542851696d3bcb722a80b
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jul 11 12:56:40 2019 -0400

    linux: Don't try to include <sys/io.h> on arm
    
    It no longer exists in newer glibc, and didn't work like you'd have
    hoped on anything but strongarm anyway.

commit 726e27bedf163597b5c948b66daeacf9b76f441a
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jul 11 12:27:36 2019 -0400

    libpciaccess 0.15

commit 53e53b09eb80e4e2b3e1fad3f4886bf9290a61e0
Author: Lichao Mu <mulichao@outlook.com>
Date:   Thu Jul 11 12:19:34 2019 -0400

    Fix pci_device_get_bridge_info() for multifunction bridges
    
    Fixes: xorg/lib/libpciaccess#9

commit 640f114e3bf195f77a2151fc6cbdfed8ace8b6ae
Author: Damien Zammit <damien@zamaudio.com>
Date:   Sat Nov 10 06:48:42 2018 -0500

    Use recursive scan bus
    
    Switch over to the new recursive scan bus routine for x86
    
    Signed-off-by: Damien Zammit <damien@zamaudio.com>

commit 95fbfeeacfd054de1037d6a10dee03b2b2cbc290
Author: Damien Zammit <damien@zamaudio.com>
Date:   Sat Nov 10 06:23:40 2018 -0500

    Add better probe cmds for non-VGA roms and regions on x86
    
    Also add a recursive scan-bus routine that uses the new probe cmds.
    
    Signed-off-by: Damien Zammit <damien@zamaudio.com>

commit 048fe0613847e3a9b39bbc3ea3e6db0f54517191
Author: Damien Zammit <damien@zamaudio.com>
Date:   Sat Nov 10 06:11:19 2018 -0500

    New module for the Hurd
    
    This new module uses Hurd's RPCs for accessing the PCI configuration space.
    Direct access as in {read_write}_{8,16,32} functions is done by the old x86
    module.
    
    Some x86 function prototypes are now declared in a new header for the Hurd
    module to use them, in order to duplicate as little code as possible.
    
    Author:  Joan Lledó <joanlluislledo@gmail.com>
    Also-by: Damien Zammit <damien@zamaudio.com>
    Signed-off-by: Damien Zammit <damien@zamaudio.com>

commit 6e3837284372d70a9427918f622bf1dc7e2a3db6
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Sat Jun 15 11:12:51 2019 +0200

    freebsd_pci: remove old probe method
    
    Remove the old probe method.  The PCIOCGETBAR ioctl has been in FreeBSD
    since 8.0 release, if not earlier.  Remove the old way of doing it.
    This is done using unifdef -DPCIOCGETBAR and cleaning up whitespace.
    
    Signed-off-by: Niclas Zeising <zeising@daemonic.se>

commit e8c7e461e43e96f7cf8b121d20d83dc6d8997f91
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Sat Jun 15 11:02:07 2019 +0200

    freebsd_pci: format freebsd_pci_methods
    
    Format freebsd_pci_methods a bit, adding some whitespace and assigning
    NULL to methods not implemented.  This makes it easier to see the names
    of various methods, as well as which methods are not implemented.
    Idea from src/linux_sysfs.c
    
    Signed-off-by: Niclas Zeising <zeising@daemonic.se>

commit b40f387048a5c7b280d0c83d3af9d34ceca7f4f8
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Sat Jun 15 10:59:00 2019 +0200

    freebsd_pci: Add has_kernel_driver function
    
    Add a has_kernel_driver function to the FreeBSD libpciaccess functions.
    This uses the PCIOCATTACHED ioctl to check if a driver is attached to a
    specific PCI device.
    Idea taken from the FreeBSD system utility pciconf.
    
    Signed-off-by: Niclas Zeising <zeising@daemonic.se>

commit baa4084474665e34a8d6a9bba0e97d9aa5dcd88a
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Sun Jun 16 10:42:08 2019 +0200

    freebsd_pci: Remove unused variable
    
    Remove unused variable, it's written to, but never used.
    
    Signed-off-by: Niclas Zeising <zeising@daemonic.se>

commit 976e661ee193941f9928353db365f14654a934db
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Sun Jun 16 10:41:03 2019 +0200

    freebsd_pci: Make this work on sparc64
    
    Make the FreeBSD libpciaccess routines work on FreeBSD.  The FreeBSD
    sparc64 architecture needs special treatment, similar to the
    PCI_MAGIC_IO_RANGE code.  However, PCI_MAGIC_IO_RANGE has been gone for
    some time.  Give this a chance to work on sparc64 anyway.
    
    This code has been in the FreeBSD ports tree for some time.

commit a1b528c4ae00972640d7a24f049c3fe9055ffe3b
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Fri Jun 14 23:40:33 2019 +0200

    freebsd_pci: update legacy I/O for new architectures
    
    Update FreeBSD legacy I/O routines for new architectures.  When we're
    not on amd64 or i386, and PCI_MAGIC_IO_RANGE is not defined, use IOCTLs
    to handle reads and writes through /dev/io.
    This is accomplished by opening /dev/io and using IOCTLs from
    dev/io/iodev.h, an interface that exists on most FreeBSD architectures.
    
    This change has been in the FreeBSD ports tree for quite some time.

commit b6de3c42cdc8fdb3acdd0b0a119e8848f1339950
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Sat Jun 15 00:06:54 2019 +0200

    freebsd_pci: Fix types in write functions
    
    Fix the type used in write functions to match the size of the write.
    
    Signed-off-by: Niclas Zeising <zeising@daemonic.se>

commit 735c8a5f6649d1b13fdc932f1b0b1e9e94512949
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Thu Jun 13 17:36:35 2019 +0200

    Don't check for struct pci_io.pi_sel.pc_domain
    
    Autoconf has a check that pci_io.pi_sel.pc_domain exists.  This is only
    used on FreeBSD.  pc_domain was added to pci_io.pi_sel on FreeBSD many
    many releases ago, and exists on all current FreeBSD releases.
    
    Remove the check, and the corresponding HAVE_PCI_IO_PC_DOMAIN, and
    update the code to take into account that #ifdef HAVE_PCI_IO_PC_DOMAIN
    is now always true.
    
    Signed-off-by: Niclas Zeising <zeising@daemonic.se>

commit 4fef4d2978619e9f198a17176afc88ba27ff6ab7
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Thu Jun 13 17:14:53 2019 +0200

    freebsd_pci: Try to conform to uniform style
    
    Try to make freebsd_pci.c conform to a more uniform style.
    This change is whitespace only, no functional change intended.
    
    Signed-off-by: Niclas Zeising <zeising@daemonic.se>

commit 404f6aadaeeef03fedca52a822871675a652692f
Author: Conrad Meyer <cem@FreeBSD.org>
Date:   Sun Jun 16 02:30:41 2019 -0700

    freebsd: Add !legacy open_device_io implementation
    
    Some drivers, such as QXL, rely on this method and do not check for errors
    when it is unavailable.  FreeBSD's legacy method can enumerate any d/b/s/f
    just fine, so it should be adequate for the !legacy API, as far as I can
    tell.
    
    With this change, QXL doesn't crash on startup on FreeBSD.
    
    Signed-off-by: Conrad Meyer <cem@FreeBSD.org>

commit fbed5d2b478cd33870c8eb6f0a12893193d7e32c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:31:52 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d30934ee6e0ee48cc10c141d5681be847e28e974
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 23:03:36 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 44f3dd08f99ba67e967980daaea2b800c68e2659
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Wed Oct 24 10:11:49 2018 +0200

    linux: Set number of devices to 0 in case of error
    
    pci_sys is a global variable which is populated on init, and in case of
    error reading sysfs on Linux, the devices are NULL, but the number of
    devices is left unchanged.
    
    As a result, we may crash in `pci_device_next()` which relies on the
    number of devices.
    
    To fix the issue, simply reset the number of devices to zero in case of
    error so we don't try to access indices of a NULL array later on.
    
    Signed-off-by: Olivier Fourdan <ofourdan@redhat.com>

commit 13854f603f720c45caf51d785a874d3c7e8c5f58
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Oct 23 11:44:32 2017 -0400

    libpciaccess 0.14
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit a167bd6474522a709ff3cbb00476c0e4309cb66f
Author: Stephen Hemminger <stephen@networkplumber.org>
Date:   Mon Sep 18 13:17:23 2017 -0400

    linux: support 32 bit PCI domains (v3)
    
    The PCI domain may be larger than 16 bits on Microsoft Azure and other
    virtual environments. PCI busses reported by ACPI are limited to 16
    bits, but in Azure the domain value for pass through devices is
    intentionally larger than 16 bits to avoid clashing with local devices.
    This is needed to support pass through of GPU devices.
    
    v3: (ajax)
    Update FreeBSD and Solaris backends to preserve the full 32-bit domain
    number, since on those OSes it stands a chance of working already.
    Update NetBSD and OpenBSD backends to initialize domain_16 compatibly
    with older libpciaccess; neither backend appears to support more than a
    handful of domains to begin with though. Trivially update the generic
    x86 backend for source compatibility, though it still only supports one
    domain and will never be better.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=101744
    Signed-off-by: Stephen Hemminger <sthemmin@microsoft.com>
    Reviewed-by: Eric Anholt <eric@anholt.net>

commit 4f1ac52e828eed1c410ee66304fcb7a17f25da40
Author: Emil Velikov <emil.velikov@collabora.com>
Date:   Tue Apr 4 14:40:41 2017 +0100

    libpciaccess 0.13.5
    
    Signed-off-by: Emil Velikov <emil.velikov@collabora.com>

commit 9b9d26ce7646713e148c7ee0f461c2bcccdd5201
Author: Emil Velikov <emil.velikov@collabora.com>
Date:   Tue Apr 4 13:48:46 2017 +0100

    configure.ac: set AC_CONFIG_AUX_DIR
    
    If not set, libtool will search directories up to ../.. for an install-sh and
    then dump the aux files there. This caused a couple of problems with the xorg
    release.sh script that now uses worktrees but is generally bad behaviour
    because we can't guarantee that we're not inside some other repository.
    
    Set AC_CONFIG_AUX_DIR to avoid this behavior.
    
    See https://lists.freedesktop.org/archives/xorg-devel/2017-March/053006.html
    
    Note: the commit and above message are shamelessly copied from libinput.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Emil Velikov <emil.velikov@collabora.com>

commit 504a65a732ea070dce907fce827a15d6b61e0c4d
Author: Emil Velikov <emil.velikov@collabora.com>
Date:   Tue Apr 4 13:33:29 2017 +0100

    configure.ac: remove AC_CONFIG_SRCDIR macro
    
    It is used to guide people who incorrectly set configure --srcdir.
    
    To be actually useful the macro should point to a rather unique file -
    which in our current case is a false premise. We have five Makefile.am
    in-tree and chances are that $libpciaccess/.. may also contain such a
    file.
    
    Let's not pretend that its useful and leave the user to what they're
    asking for.
    
    Signed-off-by: Emil Velikov <emil.velikov@collabora.com>

commit fe556c48dad96717b0ba71d489575c6b90b46448
Author: Henry Zhao <henry.zhao@oracle.com>
Date:   Wed May 25 14:06:49 2016 -0700

    use cached devinfo snapshots, remove unnecessary di_init()
    
    Use cached devinfo (DINFOCACHE) in di_init().
    Remove unnecessary di_init() on nexus nodes.
    
    Signed-off-by: Henry Zhao <henry.zhao@oracle.com>
    Signed-off-by: Emil Velikov <emil.velikov@collabora.com>

commit 0bd248f852f1f2a37396c98519eee6f50c434848
Author: Henry Zhao <henry.zhao@oracle.com>
Date:   Wed May 25 14:04:40 2016 -0700

    probe should not hold pci nexus drivers open
    
    Probe should not hold pci nexus drivers open - close after use.
    
    Signed-off-by: Henry Zhao <henry.zhao@oracle.com>
    Signed-off-by: Emil Velikov <emil.velikov@collabora.com>

commit 85a484b94d5cdcad31c3caf8b0fa52e6f50dec96
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Thu Dec 1 18:14:40 2016 +0000

    Revert "linux_sysfs: include <limits.h> for PATH_MAX"
    
    This reverts commit 8ea3af620a2d4ad5648917b4a0ef2b23ff566774.
    
    The include was added with 6bd2f7f92eae713663f4e13f6e2cb23526607b8c
    
    Cc: Adam Jackson <ajax@redhat.com>

commit e787ec28e433a24195f37012dad23bce468b330a
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit cdb2bfc9668895431e73335fc0490c4cbfa3023a
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Thu Jan 26 12:04:14 2017 +1000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f46a7a83e42fcd0601b21e361ea7fbf056d11fce
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 26 12:03:12 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 73db249c4b1eb91e0df27a1045bea344371dd2ca
Author: Emil Velikov <emil.velikov@collabora.com>
Date:   Thu Dec 1 18:17:35 2016 +0000

    linux sysfs: retrieve vendor, device... info via separate sysfs files
    
    Currently the kernel does not expose the revision file. With that about
    to change (due in 4.10) we can read all the information required from
    separate files and avoid opening the config one.
    
    The latter has the [negative] side effect of waking up the device, which
    in some cases can be quite costly.
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Emil Velikov <emil.velikov@collabora.com>

commit 099489b7917da44de57f3214425ea9b4a8f36482
Author: Keith Busch <keith.busch@intel.com>
Date:   Wed Aug 10 17:05:23 2016 -0600

    Ignore 32-bit domains
    
    A pci "domain" need not be limited to the 16-bits. The Linux kernel
    currently supports 32-bit domains which cause startx to segfault. Updating
    libpciaccess to support 32-bit domains breaks the library's ABI, and
    domains requiring 32-bits are not necessary for startx anyway, so this
    patch ignores them.
    
    Reported-by: Pawel Baldysiak <pawel.baldysiak@intel.com>
    Signed-off-by: Keith Busch <keith.busch@intel.com>
    Reviewed-by: Eric Anholt <eric@anholt.net>

commit 201d1a7623c83f611761f67d4411c3c266f8f37a
Author: arsharma <ankitprasad.r.sharma@intel.com>
Date:   Mon Feb 23 21:31:07 2015 +0000

    device-name: handle calloc failure in insert()
    
    Issue was spotted by Klocwork, and fixed by arsharma as part of
    Android-ia.
    
    Just bail out if memory allocation fails. All the callers of insert()
    already handle the case.
    
    [Emil Velikov: Split from larger patch, write commit message]
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>

commit af2fdf1bdc4532410f49fc0854ae4c0f9086cce9
Author: arsharma <ankitprasad.r.sharma@intel.com>
Date:   Mon Feb 23 21:31:06 2015 +0000

    vgaarb: add a the trailing NULL character on read(vgaarb_fd)
    
    Issue was spotted by Klocwork, and fixed by arsharma as part of
    Android-ia. Not 100% sure if the data read from /dev/vga_arbiter is not
    already null terminated, but making sure won't hurt either.
    
    [Emil Velikov: Split from larger patch, write commit message]
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>

commit c1de5dc0541e58372dcddc5120e1e68e03f4f619
Author: Chuck Tuffli <chuck@tuffli.net>
Date:   Thu Feb 6 18:09:35 2014 -0800

    libpciaccess: Fix incorrect format specification
    
    Building libpciaccess generates a warning on versions of Linux in which
    the definition of the struct mtrr_sentry has changed to __u64.
    
    Since sentry.base is assigned from a pciaddr_t, always cast sentry.base
    to be type pciaddr_t and modify the formatting string to use PRIx64
    instead of %08lx
    
    Verified on Ubuntu 10.04 and 14.04
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=74643
    
    Signed-off-by: Chuck Tuffli <chuck@tuffli.net>

commit 8ea3af620a2d4ad5648917b4a0ef2b23ff566774
Author: Felix Janda <felix.janda@posteo.de>
Date:   Thu Dec 4 23:52:22 2014 +0100

    linux_sysfs: include <limits.h> for PATH_MAX
    
    Signed-off-by: Felix Janda <felix.janda@posteo.de>
    Tested-by: Bernd Kuhls <bernd.kuhls@t-online.de>

commit 42240dcbbce8ec744401d4a464f71c3fbd3fca1b
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 11:57:40 2015 +0000

    autogen.sh: pass --force to autoreconf, quote string variables
    
    By passing --force autoreconf will update all the aux files, which would
    otherwise be ignored if one updates autoconf/automake.
    
    Quote the $srcdir, $ORIGDIR and $0 variables to prevent fall-outs, when
    it contains space.
    
    v2: Also handle $srcdir and $0.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>

commit e99c005d623a74287bbfafffc0c7040c31cdb01f
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Sep 22 08:38:56 2015 -0400

    chmod a-x README.cygwin
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 6bd2f7f92eae713663f4e13f6e2cb23526607b8c
Author: Felix Janda <felix.janda@posteo.de>
Date:   Fri May 1 16:36:50 2015 +0200

    linux_sysfs.c: Include <limits.h> for PATH_MAX
    
    Fixes compilation with musl libc.
    
    Tested-by: Bernd Kuhls <bernd.kuhls@t-online.de>
    Signed-off-by: Felix Janda <felix.janda@posteo.de>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 765e0a38cb8c40f8865af5cb356ffe6039ffb08f
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Sun Mar 22 21:38:23 2015 +0100

    Fix quoting issue.
    
    m4 has '[]' as quoting characters, so if we want '[]' to
    end up in the configure script, we need to quote them again.
    
    Reported by Greg Troxel <gdt@ir.bbn.com>.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b14696a55796e739624bbda4f772427032efff2a
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Apr 26 15:20:57 2015 +0200

    Include config.h before anything else in *.c
    
    Debian bug#749008 <https://bugs.debian.org/749008>
    
    Reported-by: Michael Tautschnig <mt@debian.org>
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bbd1acdd1d25b9a68f4b7913a4094af20d7cf78f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 30 21:44:41 2015 -0700

    libpciaccess 0.13.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d0c53bdc0b35a5416fc30a610b7401978871a5f1
Author: Tobias Nygren <tnn@NetBSD.org>
Date:   Mon Feb 16 10:22:35 2015 +0100

    Bug 89151: Fix build on NetBSD/alpha and NetBSD/sparc64.
    
    This patch is required for building on NetBSD/alpha (needs platform
    specific -lalpha) and NetBSD/sparc64 (no platform specific library,
    just -lpci). The patch also generalizes to support all NetBSD
    platforms with pci bus.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89151
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit 1972e9223764618aedc5adc32b64b2c043d1b826
Author: Eero Tamminen <eero.t.tamminen@intel.com>
Date:   Tue Feb 10 14:55:22 2015 +0000

    Check for __linux__ instead of linux during compilation
    
    "__linux__" is the POSIX define for checking for Linux OS, "linux" is
    deprecated and apparently not supported by Android.
    
    Besides correcting the define, patch adds error for the case OS isn't
    recognized.
    
    Signed-off-by: Eero Tamminen <eero.t.tamminen@intel.com>
    
    v2: Drop double negative from commit msg. Spotted by Mateusz Jończyk.
    [Emil Velikov: Remove irrelevant Android details from commit msg.]
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Jasper St. Pierre <jstpierre@mecheye.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ed340abc37b07cb9fc788ae77d837088c54cd16a
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Tue Feb 10 14:55:21 2015 +0000

    Include config.h before any other headers.
    
    The former has a series of defines which in some cases are crusial to be
    set before including any system headers.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6329ef9e5d6f36ca3f7258279f6640037b71926a
Author: Chih-Wei Huang <cwhuang@linux.org.tw>
Date:   Tue Feb 10 14:55:20 2015 +0000

    Add missing guards around config.h inclusion
    
    In some cases the header may not exist, leading to compilation issues.
    Add the ifdef HAVE_CONFIG_H, as it is those in other parts of the
    project.
    
    [Emil Velikov: Split out from a larger commit, rework commit message]
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e42ee2a075a8b7c62b190815be42ea26c9d8c03f
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Tue Feb 10 14:55:19 2015 +0000

    Include the POSIX fcntl.h instead of sys/fcntl.h
    
    The former is part of the POSIX standard, and (unlike the latter) is
    more widely available.
    
    v2: Drop gracious d in header name. Spotted by Alan.
    
    Cc: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f99c2e4199ce37f6f94428df504427f67c3ec543
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 3 15:59:10 2015 -0800

    libpciaccess 0.13.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9b1bf11c81881c9cc6e6145011cf229978f109f4
Author: Mark Kettenis <kettenis@openbsd.org>
Date:   Mon Sep 29 22:34:25 2014 +0200

    Use PCIOCREADMASK on OpenBSD.
    
    If the machdep.allowaperture sysctl(8) variable is set to 0, writing to PCI
    config space is not allowed.  So instead of writing 0xffffffff to the BARs
    in order to determine their size, use the PCIOCREADMASK ioctl(2) which
    returns the mask of changeable bits that was saved by the kernel when the
    devices was initially probed.
    
    Reviewed-by: Matthieu Herrb <matthieu@herbb.eu>
    Signed-off-by: Mark Kettenis <kettenis@openbsd.org>

commit b7e42643d2ee6521cf23e6dfe49a8369ba4bf9bb
Author: Matthew Green <mrg@NetBSD.org>
Date:   Sat Jul 26 22:09:30 2014 +0200

    Implement the kernel_has_driver() method for NetBSD.
    
    This has the benefit of stopping the "vesa" driver from loading on
    hardware that has been claimed by a kernel driver and thus shouldn't
    be using "vesa".
    
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit 1654a0462723b3b75d7a4a20bedfc653cc3e1f1a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 2 16:41:10 2014 -0700

    Solaris: Fix fd leak in pci_device_solx_devfs_map_range()
    
    Caching fd's for reuse is most effective when you actually stick the
    newly opened fd in the cache, instead of letting it leak at the end
    of the function.
    
    Regression introduced by yours truly in commit 9f2d95e61896f41adb.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Randy Fishel <randy.fishel@oracle.com>

commit ee4e253a3f1a62e2f3f89f5339590fd4e6cde7c4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 9 19:25:10 2014 -0700

    Enable use of __attribute__((deprecated)) with Solaris Studio 12.4 compiler
    
    Support for this attribute is added in the 12.4 beta release.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

